' $linesize:132
' $title: 'MenuPlus.BAS 17.4, Copyright 1992'
'  Copyright  (c) 1992 by Scott Thompson
'  Name ...............: MenuPlus.BAS
'  First Released .....: Feb 4, 1993 for Maple code
'  Subsequent Releases.:
'  Copyright ..........: (c) 1992 by Scott Thompson
'                         mods by Peter Eibl (c) 1993
'
'  Purpose.............: adds a nice menu0 screen to RBBS
'                       
'                       
'
'  Parameters..........: Most parameters are passed via a COMMON statement.
'
' $SUBTITLE: 'MenuPlus - adds nice menu to RBBS 17.4 MAple version'
' $PAGE         (c) 1992 by Scott Thompson
'               additional  mods (c) by Pete Eibl and Richard Taff1993
'
' $INCLUDE: 'RBBS-VAR.MOD'
'  SUBPROGRAM NAME    -- MenuPlus
'
'
'  SUBPROGRAM PURPOSE --  nice menu for RBBS

Sub MenuPlus (PR)  Static

On PR GOTO 10,20,30,40,50,60,70,80,90,95
GOTO 99

10   ZMenuNewUsers = ZMenuNewUsers + 1                                'MENU174
      Exit Sub
    

20  IF (NOT ZExitToDoors) AND (NOT ZSubBoard) THEN _                 'MENU1741
    ZMenuNewCalls = ZMenuNewCalls + 1                                'MENU174
     Exit Sub

30      CALL AMorPM                                                  'MENU1747
      IF ZOrigUserName$ = ZSecretName$ THEN                          'MENU174
	ZMenuNewDate$ = ZCurDate$                                    'MENU174
	ZMenuNewTime$ = ZTime$                                       'MENU174
	ZMenuNewUpld = 0                                             'MENU174
	ZMenuNewUsers = 0                                            'MENU174
	ZMenuNewCalls = 0                                            'MENU174
	ZMenuNewSysop = 0                                            'MENU174
	ZMenuNewDSC = 0                                              'MENU1747
	ZMenuNewDl = 0                                               'MENU1747
	CALL PutCom (ZBellRinger$)                                   'MENU174
	CALL QuickTPut1 (ZFG1$ + "SYSOP New Stats Reset.")           'MENU174
      END IF                                                         'MENU174
Exit Sub

40 ZMenuNewSysop = ZMenuNewSysop + 1                                 'MENU174
   Exit Sub

50    CALL AMorPM                                                    'MENU1747
      CALL OpenOutW ("MENUNEW" + ZNodeFileID$ + ".DEF")              'MENU1742
      WRITE #2, ZMenuNewDate$,ZmenuNewTime$,ZMenuNewUpld, _          'MENU174
	 ZMenuNewUsers,ZMenuNewCalls,ZMenuNewSysop,ZMenuNewDSC, _    'MENU1747
	 ZMenuNewDl                                                  'MENU1747
      WRITE #2, ZActiveUserName$ + " From: " + _                     'MENU1746
		ZWasCI$ + ".  Exited At: " + ZTime$ + _              'MENU1747
		" / " + STR$(FIX(TempElapsed!)) + " Min."            'MENU1747
Exit Sub

60   ZMenuNewUpld = ZMenuNewUpld + 1                                'MENU174
      Exit Sub

70    CALL AMorPM                                                    'MENU1747
      CALL OpenOutW ("MENUNEW" + ZNodeFileID$ + ".DEF")              'MENU1743
      WRITE #2, ZMenuNewDate$, ZmenuNewTime$, ZMenuNewUpld, _        'MENU1743
	 ZMenuNewUsers, ZMenuNewCalls, ZMenuNewSysop,ZMenuNewDSC, _  'MENU1747
	 ZMenuNewDl                                                  'MENU1747
      WRITE #2, ZActiveUserName$ + " From: " + _                     'MENU1746
		ZWasCI$ + ".  Exited At: " + ZTime$ + _              'MENU1747
		" / " + STR$(FIX(TempElapsed!)) + " Min."            'MENU1747
      CLOSE 2                                                        'MENU1743 
   Exit Sub

80    CALL OpenWork (2,"MENUNEW" + ZNodeFileID$ + ".DEF")            'MENU1743
      CALL GetMenuNew                                                'MENU1743
      CLOSE 2                                                        'MENU1743
      Exit Sub
90 	 ZMenuNewDL = ZMenuNewDL + 1                                 'MENU1744
         Exit Sub
95 ZMenuNewDSZ = ZMenuNewDSZ + 1                                     'MENU1744
   Exit Sub

99  END SUB


100 ' $SUBTITLE: 'SysMenuPlus - sub to display RBBS-PC SYSOP menu enhnace vrs'
'  $PAGE
'
'  NAME    --  SysMenuPlus
'
'  INPUTS  --  PARAMETER           MEANING
'
'  OUTPUTS --  NONE
'
'  PURPOSE --  TO DISPLAY enhanced SYSOP MENU ON THE LOCAL SCREEN
'
    SUB SysMenuPlus (AOK) STATIC
    AOK = ZTrue
    ZLocalUser = ZTrue
    ZSnoop = ZTrue
    ZNonStop = ZTrue
    CALL CheckTime (TIMER, ZDelay!, 1)
    CLS
    ZStopInterrupts = ZTrue
    ZBypassTimeCheck = ZTrue
    CALL BufFile ("MENU0P",WasX)
    ZNonStop = ZFalse
    ZBypassTimeCheck = ZFalse
    ZLocalUser = ZFalse
    IF NOT ZOK THEN _
    Call getRBBSString(277,RBBSString$) : _     'Pe 01/26/93
    OutTxt$ = RBBSString$ : _               'Pe 01/26/93 
    CALL LPrnt(OutTxt$,1)
    CALL OpenWork (2,"MENUNEW" + ZNodeFileID$ + ".DEF")              'MENU1742
    CALL GetMenuNew                                                  'MENU174
    LOCATE 2,22                                                      'MENU174
    CALL LPrnt(ZEscape$ + "[1m" + LEFT$(ZVersionID$,12),0)           'MENU174
    LOCATE 2,40                                                      'MENU174
    CALL LPrnt(ZNodeID$,0)
    LOCATE 2,57                                                      'MENU1747
    CALL AMorPM                                                      'MENU1747
    CALL LPrnt(ZCurDate$,0)                                          'MENU1747
    LOCATE 2,69                                                      'MENU1747
    CALL LPrnt(ZTime$,0)                                             'MENU1747
    IF ZFMSDirectory$ <> "" THEN _
       LOCATE 14,16 : _                                              'MENU1747
       CALL LPrnt("YES",0)
    IF ZExtendedLogging THEN _
       LOCATE 14,36 : _                                              'MENU1747
       CALL LPrnt("YES",0)
    IF ZFossil THEN _
       LOCATE 16,16 : _                                              'MENU1747
       CALL LPrnt("YES",0)
    LOCATE 15,15 : _                                                 'MENU1747
    CALL LPrnt(ZComPort$,0)
    LOCATE 15,35                                                     'MENU1747
    CALL LPrnt (STR$(CINT(FRE("A")/1024)) + "k",0)
    IF ZDebug THEN _
       LOCATE 16,36 : _                                              'MENU1747
       CALL LPrnt("Yes",0)
    LOCATE 6,20                                                      'MENU1747
    CALL LPrnt (ZMenuNewDate$,0)                                     'MENU174
    LOCATE 6,32                                                      'MENU1747
    CALL LPrnt (ZMenuNewTime$,0)                                     'MENU174
    LOCATE 9,35                                                      'MENU1747
    CALL LPrnt (STR$(ZMenuNewUpld),0)                                'MENU174
    LOCATE 9,13                                                      'MENU1747
    CALL LPrnt (STR$(ZMenuNewUsers),0)                               'MENU174
    LOCATE 8,13                                                      'MENU1747
    CALL LPrnt (STR$(ZMenuNewCalls),0)                               'MENU174
    LOCATE 8,35                                                      'MENU1747
    CALL LPrnt (STR$(ZMenuNewSysop),0)                               'MENU174
    LOCATE 11,25                                                     'MENU1747
    CALL LPrnt (STR$(ZMenuNewDSC),0)                                 'MENU1747
    LOCATE 10,13                                                     'MENU1747
    CALL LPrnt (STR$(ZMenuNewDl),0)                                  'MENU1747
    INPUT #2, LastOnline$                                            'MENU1744
    LOCATE 22,3                                                      'MENU1747
    CALL LPrnt (LastOnline$,0)                                       'MENU1744
End Sub
'

'

Sub LocateMenu (RingBack,ScreenCleared,AOK,FF)  Static
AOK = ZTrue
On FF GOTO 1000,2000,3000,4000,5000,6000
    Goto 6001
1000 LOCATE 19,22                                                     'MENU1744
     IF ZRequiredRings = 0 THEN _
       CALL LPrnt(ZEscape$ + "[1m" + "WAITING FOR CARRIER",0) : _         'MENU174
Exit Sub

    IF MID$(ZModemInitCmd$, _
	  INSTR(ZModemInitCmd$,"S0") + 3,3) = "255" THEN _
       CALL LPrnt("RING BACK SYSTEM",0) : _
RingBack = ZTrue : _
     Exit Sub

 CALL LPrnt(" WAITING FOR RING ",0)
Exit Sub



2000 LOCATE 19,40                                                  'MENU1744
    CALL LPrnt(MID$(STR$(ZRequiredRings),2),0)
     Exit Sub

3000 LOCATE 18,23                                                     'MENU1744
    IF ZDosANSI THEN _
       CALL LPrnt(ZEscape$ + "[05;31m" + "YES" + ZEscape$ + "[00m",0) _
    ELSE CALL LPrnt ("YES",0)
    COLOR ZFG,ZBG,ZBorder
    LOCATE 20,23                                                     'MENU1744
Exit Sub

4000  LOCATE 20,23                                                   'MENU1744
       CALL LPrnt("Ringback timeout" + ZPagingPtrSupport$,1)
      Exit Sub

5000 CALL CheckTime(ZSecsUsedSession!, TempElapsed!, 2)
'       
'  Since there is no code in RBBS that displays time down to the second
'  I have had to duplicate a bit of code here   Comment the following lines
'  out if you do not wish the MENU0 screen to display System Idle time.
'
       HOURS = INT(TempElapsed!/3600)                                'RT020193
       MIN = INT((TempElapsed!-(HOURS*3600))/60)                     'RT020193
       SEC = INT(TempElapsed!-((HOURS*3600)+(MIN*60)))               'RT020193
       IF HOURS < 10 THEN _                                          'RT020193
	  Hou$ = "0"+RIGHT$(STR$(HOURS),1)_                          'RT020193
       ELSE Hou$ = STR$(HOURS)                                       'RT020193
       IF MIN < 10 THEN _                                            'RT020193
	  Min$ = "0"+RIGHT$(STR$(MIN),1)_                            'RT020193
       ELSE Min$ = RIGHT$(STR$(MIN),2)                               'RT020193
       IF SEC < 10 THEN _                                            'RT020193
	  Sec$ = "0"+RIGHT$(STR$(SEC),1)_                            'RT020193
       ELSE Sec$ = RIGHT$(STR$(SEC),2)                               'RT020193
IF NOT ScreenCleared THEN _
       LOCATE 4,23 : _                                               'RT020193
       CALL LPrnt(Hou$ + ":" + Min$ + ":" + Sec$,0)                  'RT020193
Exit Sub

6000 LOCATE 20,23                                                     'MENU1744
    CALL LPrnt(ZEscape$ + "[1;31m" + TIME$ + " Ring " + _            'MENU174
	 STR$(ZWasQ) + ZEscape$ + "[00m",0)                          'MENU174
     Exit Sub

6001 END SUB
