' $linesize:132
' $title: 'SYSTEM.BAS 17.4, Copyright 1986 - 92 by D. Thomas Mack'
'  Copyright 1991 by D. Thomas Mack, all rights reserved.
'  Name ...............: SYSTEM.BAS
'  First Released .....: Jan 24, 1993
'  Subsequent Releases.: Feb 2, 1993
'  Copyright ..........: 1986 - 1993
'  Purpose.............: To move internal text into an external file to free
'                        up as much string space as possible and to allow
'                        RBBS to develope into a multi language BBS system
'
'  Parameters..........: Most parameters are passed via a COMMON statement.
'
' $SUBTITLE: 'GetRBBSString - Read a string from external file'
' $PAGE   (C) 1992 - Mercurio & Sarru
'          mods (C) 1993 - Dan Drinnon
'        additional  mods (C) by Pete Eibl 1993
'
' $INCLUDE: 'RBBS-VAR.MOD'
'  SUBPROGRAM NAME    -- GetRBBSString
'
'
'  SUBPROGRAM PURPOSE --  reduce String space


1500 SUB GetRBBSString (LineToRead,OutText$) STATIC                  ' DD012202
'                                                                    ' DD012202
'    example:  CALL GetRBBSString (50,RBBSString$)                   ' DD012202
'              CALL QuickTPut1 (RBBString$)                          ' DD012202
'                                                                    ' DD012202
   CALL OpenWork (15,ZLibDrive$ +"RBBS"+ZNodeId$ +"PC.LNG")        'Pe 01/30/93
     CALL ReadCommentedDir(15,LineToRead)                            ' DD012901

    ' moved ReadCommentedDir to RBBSSUB1 for error trapping          'Pe 01/30/93

     OutText$ = ZOutTxt$                                             ' DD012901
     CALL RemNonAlf (OutText$,31,127)                                ' DD012202
     CLOSE 15                                                        ' DD012202
     CALL SmartText(OutText$,ZTrue,ZFalse,ZFalse)               ' Pe 02/06/93
'     SOUND 4000, .5                                                  ' DD012202
     END SUB                                                         ' DD012202

' $SUBTITLE: 'ShowVar --- '
' $PAGE
'Sub ShowVar (OutText$) Static
'
' Ignore this code, it is NOT used but may be used in the future
'        WasY = 1
'         IF WasY > LEN(OutText$) THEN Exit Sub
'           WasX = INSTR(WasY, OutText$, "{{")
'      IF WasX = 0 THEN Exit Sub
'      WasY = INSTR(WasX, OutText$, "}}")
'      IF WasY = 0 THEN Exit Sub
'     OutText1$ = LEFT$(OutText$, WasX - 1) + Mid$(OutText$, WasY + 2)
'     WasY = WasY - WasX
'     ShowV$ = MID$(OutText$, WasX + 2, WasY - 2)
'End Sub